See the top rated post in this thread. Click here

Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Redefine or Remove an OSNAP?

  1. #1
    AUGI Addict madcadder's Avatar
    Join Date
    2000-11
    Location
    Too far from the beach
    Posts
    1,054
    Login to Give a bone
    0

    Default Redefine or Remove an OSNAP?

    I need to remove an OSNAP. I have a guy who is constantly using NEAREST. By doing so his 3/4 come out 0.7500126 or his 12" is 12.00008442.
    It dimensions correctly, it builds correctly, but he's the only one in the office that can seem to make a 0.75 come out to 0.75000000

    So is there a way to redefine an OSNAP to something like an ESC?

  2. #2
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,503
    Login to Give a bone
    1

    Default Re: Redefine or Remove an OSNAP?

    So this user is using in on the fly or part of his osnaps "drafting settings"?

    I don't know how you would disable the "nearest" snap, but maybe force an OSMODE value in an Acaddoc.lsp (force them to have the snaps active they need without "nearest" so it's inconvenient to use).
    And/or make them follow proper drafting standards and not use "nearest" when its crucial to be accurate and snap to something real or key it in.

    We had a guy like that, he doesn't work here anymore

  3. #3
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,086
    Login to Give a bone
    3

    Default Re: Redefine or Remove an OSNAP?

    Sounds like a management issue and not a technological issue.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  4. #4
    Administrator Ed Jobe's Avatar
    Join Date
    2000-11
    Location
    Turlock, CA
    Posts
    6,379
    Login to Give a bone
    2

    Default Re: Redefine or Remove an OSNAP?

    Quote Originally Posted by Opie View Post
    Sounds like a management issue and not a technological issue.
    I agree with Opie and Ted. Why should you spend money developing a workaround for an extremely bad habit??? Not only is it a management issue, but an expensive business issue. Just use the "change or else" clause.

    But if you must, you can monitor the SysVarChanged event and do a bitwise check. If it includes the constant for nearest, just change it back or cancel the event.
    C:> ED WORKING....

  5. #5
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,651
    Login to Give a bone
    1

    Default Re: Redefine or Remove an OSNAP?

    All ONAPS are needed at one time or another!
    Amazes me how many users struggle with the simplest things.
    I cannot count the times I've seen someone zoom way in to make sure they snapped to the endpoint of a line in an area crowded with other possible snapping points when all they needed to do was hover any clear area over that half of the line to make sure they got the right endpoint.

    Many cannot grasp that scrolling with the mouse to zoom uses the mouse location for zooming allowing them to go anywhere in a drawing quickly without entering a command. I'll see them zoom out, pan, then zoom back in.

    I refuse to customize AutoCAD for anyone who hasn't learned how to use the basic interface, I'll just keep explaining how to use it as often as I have to.

  6. #6
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    553
    Login to Give a bone
    1

    Default Re: Redefine or Remove an OSNAP?

    My $0.05 (setvar 'osmode 47) or just osmode 47

  7. #7
    AUGI Addict madcadder's Avatar
    Join Date
    2000-11
    Location
    Too far from the beach
    Posts
    1,054
    Login to Give a bone
    1

    Default Re: Redefine or Remove an OSNAP?

    The answer so far seems to be the public humiliation direction. We had a nice 45 minutes of going over all the places I keep finding these little errors. I started taking his drawings and putting a big rectangle around areas that he needs to look at to find them.
    But he stammered and stuttered on not knowing how it keeps happening, to the point where others stepped in and gave suggestions on how to keep it from happening. I'm not sure any of them really sank in.
    But... on a positive note, I guess... We are busy enough that we are constantly on and off 50 hour weeks. He hates having to come in at 6am, so he confided that he has started looking around.

  8. #8
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,503
    Login to Give a bone
    0

    Default Re: Redefine or Remove an OSNAP?

    Quote Originally Posted by madcadder View Post
    The answer so far seems to be the public humiliation direction. We had a nice 45 minutes of going over all the places I keep finding these little errors. I started taking his drawings and putting a big rectangle around areas that he needs to look at to find them.
    But he stammered and stuttered on not knowing how it keeps happening, to the point where others stepped in and gave suggestions on how to keep it from happening. I'm not sure any of them really sank in.
    But... on a positive note, I guess... We are busy enough that we are constantly on and off 50 hour weeks. He hates having to come in at 6am, so he confided that he has started looking around.
    That's too bad that this user would rather change jobs then to do a better job. Mistakes can cost money.
    I feel your pain, you have so much work you all need to put in tons of hours, but that doesn't excuse sloppy work.

    Hopefully they will learn from this, or... become someone else's problem.
    (but then you need to find another cad operator, which is tough)

  9. #9
    Login to Give a bone
    0

    Default Re: Redefine or Remove an OSNAP?

    Quote Originally Posted by madcadder View Post
    I need to remove an OSNAP. I have a guy who is constantly using NEAREST. By doing so his 3/4 come out 0.7500126 or his 12" is 12.00008442.
    It dimensions correctly, it builds correctly, but he's the only one in the office that can seem to make a 0.75 come out to 0.75000000

    So is there a way to redefine an OSNAP to something like an ESC?

    It is possible to remove or redefine an OSNAP in AutoCAD. Here's how you can do it:

    Type "OSNAP" in the command line and press enter.
    In the Object Snap Settings dialog box, uncheck the checkbox next to the OSNAP mode you want to remove.
    Click OK to save the changes.

  10. #10
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    553
    Login to Give a bone
    1

    Default Re: Redefine or Remove an OSNAP?

    One of the better ways is make you own osnap combo's so switch quickly when needed, this is done by making some simple lisp defuns 1 for each osnap setting, ok now when you set osnaps it stores only 1 number not multiple ticks, so just set your osnaps then type osmode, look at the number, change your osnaps, type osmode again look at number.

    Ok now code.
    Code:
    (defun C:15 ()(setvar "osmode" 15359))   ; sets all snaps on
    (defun C:47 ()(setvar "osmode" 47)(setvar "AUNITS" 0))
    (defun C:99 ()(setvar "osmode" 99))
    (defun C:8 ()(setvar "osmode" 8))
    (defun C:59 ()(setvar "osmode" 15359))
    (defun C:9 ()(setvar "osmode" 9))
    (defun C:0 ()(setvar "osmode" 0)) ; snaps off
    This example uses numbers but you could use 01, snap1 and so on.

    In some command you can call the osnap transparently resetting osnaps on the fly rather than mouse right click.

    Line '47 pickpoint pickpoint
    Note the ' single quote for transparent command.

Page 1 of 2 12 LastLast

Similar Threads

  1. Replies: 5
    Last Post: 2007-04-26, 07:19 PM
  2. Redefine Qleader
    By jpaulsen in forum AutoLISP
    Replies: 5
    Last Post: 2004-11-18, 12:49 PM
  3. ATTEDIT and DDATTE Redefine
    By anovelli in forum AutoLISP
    Replies: 1
    Last Post: 2004-10-19, 11:41 AM
  4. Another redefine problem ...
    By moshira_hassan in forum AutoCAD General
    Replies: 1
    Last Post: 2004-10-17, 06:18 PM
  5. Redefine Block insertion point
    By robert.1.hall72202 in forum AutoCAD General
    Replies: 5
    Last Post: 2004-08-17, 02:38 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •